## org.apache.wml
Interface WMLAccessElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, WMLElement

All Known Implementing Classes:
  WMLAccessElementImpl

    public interface WMLAccessElement

extends WMLElement

The interface is modeled after DOM1 Spec for HTML from W3C. The DTD used in this DOM model is from http://www.wapforum.org/DTD/wml_1.1.xml

'access' element specifics the access control for the entire deck (Section 11.3.1, WAP WML Version 16-Jun-1999)

Version:
  $Id: WMLAccessElement.java 447258 2006-09-18 05:41:23Z mrglavas $
Author:
  David Li

Field Summary

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getDomain()`
`java.lang.String` `getPath()`
`void` `setDomain(java.lang.String newValue)` A deck's domain and path attributes specify which deck may access it.
`void` `setPath(java.lang.String newValue)` path attribute is prefix-matched against the path portion of the referring URI

Methods inherited from interface org.apache.wml.WMLElement
`getClassName, getId, setClassName, setId`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### setDomain

    void setDomain(java.lang.String newValue)

  A deck's domain and path attributes specify which deck may access it. domain attribute is suffix-matched against the domain name portion of the referring URI

### getDomain

    java.lang.String getDomain()

### setPath

    void setPath(java.lang.String newValue)

  path attribute is prefix-matched against the path portion of the referring URI

### getPath

    java.lang.String getPath()

Copyright © 1999-2006 The Apache Software Foundation. All Rights Reserved.